package mtwmapi

import (
	"fmt"
	"testing"

	"git.rosy.net.cn/baseapi/utils"
)

func TestCommentQuery(t *testing.T) {
	result, err := api.CommentQuery("18805464", "20231009", "20231011", 0, 0, CommentReplyStatusNotReplied)
	if err != nil {
		t.Fatal(err)
	}
	t.Log(utils.Format4Output(result, false))
}

func TestCommentAddReply(t *testing.T) {
	err := api.CommentAddReply("24617232", 2947288966, "非常抱歉让您没有得到十分满意的购物体验，我们会及时与您联系进行确认并解决问题！")
	if err != nil {
		t.Fatal(err)
	}
}

func TestTime(t *testing.T) {
	fmt.Println(utils.TryStr2Time("2023-07-16"))
}
